.kit.table {
  $borderColor: #dbe4e9;

  &.operating.mode {
    table,
    .table {
      width: 100%;
      position: relative;
      margin-bottom: .5rem;
      border-spacing: 0;

      tbody {
        @media only screen and (min-width: 1024px) {
          box-shadow: inset 0 0 0 0.0625rem $borderColor;
          border-radius: 0.1875rem;
        }
      }

      caption {
        font-size: .9rem;
        font-weight: 700;
        padding: 0 0 .5rem 0;
        text-align: left;
        > .now {
          display: block;
          font-size:0.75rem;
        }
        @media only screen and (min-width: 1024px) {
          font-size: 0.8125rem;
          color: $black;
          font-weight: 400;
          padding: 0.875rem 1rem 0.5rem;
          > .now {
            font-size: 0.8125rem;
            display: block;
            font-weight: 500;
            padding-top: 0.875rem;
            padding-bottom: 0.5rem;
          }
        }
      }
      th, td {
        font-weight: 400;
        line-height: 1;
        text-align: center;
      }
      .weekday {
        font-size: .75rem;
        display: block;
        margin-bottom: .75rem;
        color: #9BADB9;
        @media only screen and (min-width: 1024px) {
          font-size: 0.6875rem;
          color: $black;
          font-weight: 400;
          margin-bottom: .5rem;
        }
      }
      .day {
        position: relative;
        font-size: .6875rem;
        padding: 0;
        margin: 0;
        &:last-child {
          .time {
            border-right: none !important;
          }
        }
        &:hover{
          border-radius: .2rem;
          box-shadow: 0 0 0 .0625rem #669ED9, 0 0 0 .1rem #fff, 0 0 0 .1rem #fff inset;
          margin-left: -.0625rem;
          .time:not(.block) {
            border-color: #669ED9;
          }
        }
          &.active {
            border-radius: .2rem;
            box-shadow: 0 0 0 .0625rem #669ED9, 0 0 0 .1rem #fff, 0 0 0 .1rem #fff inset;
            margin-left: -.0625rem;

            .time:not(.block) {
              border-color: #669ED9;
            }
          }

        &:after {
          display: block;
          position: absolute;
          content: '';
          top: 50%;
          right: 0;
          left: 0;
          border-bottom: 1px solid $borderColor;
        }
        @media only screen and (min-width: 375px) {
          font-size: 13px;
        }
        @media only screen and (min-width: 1024px) {
          font-size: 0.6875rem;
          &.active {
            border-radius: 0;
            &:first-child {
              border-top-left-radius: 0.1875rem;
              border-bottom-left-radius: 0.1875rem;
            }
            &:last-child {
              border-top-right-radius: 0.1875rem;
              border-bottom-right-radius: 0.1875rem;
            }
          }
        }
        &:first-child .time:not(.block) {
          border-left: none;
        }
      }
      .time.block {
        position: relative;
      }
      .time:not(.block) {
        padding: .25rem 0 .25rem .125rem;
        border-right: .0625rem solid $borderColor;
        margin: .4rem -.0625rem;
        @media only screen and (min-width: 375px) {
          padding: .25rem .125rem .25rem .25rem;
        }
        @media only screen and (min-width: 1024px) {
          padding: .4375rem .125rem .4375rem .25rem;
          margin-top: 0;
          margin-bottom: 0;
        }

        &.not.set{
          color: $borderColor;
        }
      }
    }

    @media only screen and (min-width: 1024px) {
      + .kit.table.operating.mode {
        thead {
          display: none;
        }
      }
    }

  }
}

